GCC, Git 升级

# 安装高版本GCC
yum install -y centos-release-scl && yum install -y devtoolset-11-gcc*
echo "source /opt/rh/devtoolset-11/enable" >>/etc/profile && source /etc/profile
# 安装高版本git
# 非必要步骤
yum remove -y git rpm -Uvh https://packages.endpointdev.com/rhel/7/os/x86_64/endpoint-repo.x86_64.rpm
yum clean && yum makecache && yum install -y git

安装依赖

yum install -y \
	make ncurses ncurses-devel ctagstcl-devel ruby ruby-devel lua lua-devel \
	luajit luajit-devel python python-devel perl perl-devel perl-ExtUtils-ParseXS \
	perl-ExtUtils-XSpp perl-ExtUtils-CBuilder perl-ExtUtils-Embed

卸载现有 vim

yum remove -y vim-enhanced vim-common vim-filesystem

升级vim

cd ~ && git clone https://github.com/vim/vim.git && cd vim &&
	./configure --with-features=huge --enable-luainterp \
		--enable-multibyte --enable-rubyinterp \
		--enable-pythoninterp --enable-perlinterp &&
	make && make install